View Issue Details

IDProjectCategoryView StatusLast Update
0001347SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
Priorityurgent 
Status closedResolutionfixed 
Product Version3.5.1 
Target Version3.5.2Fixed in Version3.5.2 
Summary0001347: Initial load ignores subselect routers and routes to all nodes.
DescriptionInitial load ignores subselect routers and routes to all nodes.
TagsNo tags attached.

Activities

chenson

2013-07-25 20:21

administrator   ~0000359

I think this has always been that way. The thought is that for an initial load an initial_load_select should be provided because the subselect will be so slow.

chenson

2013-07-25 20:22

administrator   ~0000360

Maybe we should change it to only route to all nodes if the initial_load_select on the associated trigger router is blank.

chenson

2013-07-25 20:46

administrator   ~0000361

Changed it so if the initial_load_select is set, then the subselect is not run.

Related Changesets

SymmetricDS: master 295238ea

2013-07-25 20:45:10

chenson

Details Diff
0001347: Initial load ignores subselect routers and routes to all nodes.
0001347
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/BshDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ColumnMatchDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DefaultDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/IDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/LookupTableDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouterTest.java Diff File

SymmetricDS: master e2219ff8

2013-07-25 21:06:56

chenson

Details Diff
0001347: Initial load ignores subselect routers and routes to all nodes.
0001347
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/XmlPublisherDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2013-07-25 11:45 abrougher New Issue
2013-07-25 11:45 abrougher Status new => assigned
2013-07-25 11:45 abrougher Assigned To => abrougher
2013-07-25 20:21 chenson Note Added: 0000359
2013-07-25 20:22 chenson Note Added: 0000360
2013-07-25 20:45 chenson Assigned To abrougher => chenson
2013-07-25 20:45 chenson Status assigned => resolved
2013-07-25 20:45 chenson Fixed in Version => 3.5.2
2013-07-25 20:45 chenson Resolution open => fixed
2013-07-25 20:46 chenson Note Added: 0000361
2013-07-31 16:14 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7576
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7577
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e2219ff8
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 295238ea